<?php
include "../ver_sessao.php";
include "../conecta.php";



function exclui_configuraboleto(){

	remover('configuraboleto',$_POST[id]);

	index();
	exit;
}



function cadastra_configuracao(){
	
	$campos = array(conf_tx_nome,conf_tx_identificacao,conf_tx_cnpj,conf_nb_banco,conf_tx_nomeAgencia,conf_tx_agencia,conf_tx_conta,
	conf_tx_convenio,conf_tx_contrato,conf_tx_carteira,conf_tx_instrucao1,conf_tx_instrucao2,conf_tx_instrucao3,conf_tx_nossonumero,
	conf_tx_instrucao4,conf_tx_status);
	
	$valores= array($_POST[nome],$_POST[ident],$_POST[cnpj],$_POST[banco],$_POST[nome_agencia],$_POST[agencia],$_POST[conta],
	$_POST[convenio],$_POST[contrato],$_POST[carteira],$_POST[instrucao1],$_POST[instrucao2],$_POST[instrucao3],$_POST[nossonumero],
	$_POST[instrucao4],'ativo');
	
	if( !$_POST[id] )
		inserir('configuraboleto',$campos,$valores);
	else
		atualizar('configuraboleto',$campos,$valores,$_POST[id]);
		
	
}
/*
function atualiza_configuracao(){
	
	$campos = array(conf_tx_identificacao,conf_tx_cnpj,conf_tx_endereco,conf_tx_cidade,conf_tx_agencia,conf_tx_conta,
	conf_tx_convenio,conf_tx_contrato,conf_tx_carteira,conf_tx_instrucao1,conf_tx_instrucao2,conf_tx_instrucao3,
	conf_tx_instrucao4,conf_tx_status);
	
	$valores= array($_POST[ident],$_POST[cnpj],$_POST[endereco],$_POST[cidade],$_POST[agencia],$_POST[conta],
	$_POST[convenio],$_POST[contrato],$_POST[carteira],$_POST[instrucao1],$_POST[instrucao2],$_POST[instrucao3],
	$_POST[instrucao4],'ativo');
	atualizar('configuraboleto',$campos,$valores,1);
	
}
*/

function modifica_configuraboleto() {
	global $a_mod;
	
	$a_mod = carregar('configuraboleto',$_POST[id]);

	layout_configuraboleto();
	exit;

}

function layout_configuraboleto(){
	global $a_mod;
	
	cabecalho('Contas Bancárias',2);


	if ( $a_mod[conf_nb_banco] > 0 ) {
		
		$a_banco = carregar('banco',$a_mod[conf_nb_banco]);
	}
	
	
	// INFORMAÇÕES BANCÁRIAS
	$nome = cactux::campo('Identificação:','nome',$a_mod[conf_tx_nome],3);
	$banco = cactux::combo_bd('!Banco:','banco',$a_banco[banc_nb_id],$a_banco[banc_tx_nome],2,'banco');
	$nome_ag = cactux::campo('Nome Agência:','nome_agencia',$a_mod[conf_tx_nomeAgencia],3);
	$ag = cactux::campo('Agência:','agencia',$a_mod[conf_tx_agencia],1);
	$co = cactux::campo('Conta:','conta',$a_mod[conf_tx_conta],1);

	$ident = cactux::campo('Razão Social:','ident',$a_mod[conf_tx_identificacao],3);
	$cnpj = cactux::campo('CNPJ:','cnpj',$a_mod[conf_tx_cnpj],2,MASCARA_CNPJ);
	

	// INFORMAÇÕES PARA GERAÇÃO DE BOLETOS
	$contrato = cactux::campo('Contrato:','contrato',$a_mod[conf_tx_contrato],2);
	$carteira = cactux::campo('Carteira:','carteira',$a_mod[conf_tx_carteira],2);
	$convenio = cactux::campo('Convênio:','convenio',$a_mod[conf_tx_convenio],2);
	$nossonumero = cactux::campo('Nosso Número:','nossonumero',$a_mod[conf_tx_nossonumero],2);
	
	$instrucao1 = cactux::campo('Instrução:','instrucao1',$a_mod[conf_tx_instrucao1],5);
	$instrucao2 = cactux::campo('Instrução:','instrucao2',$a_mod[conf_tx_instrucao2],5);
	$instrucao3 = cactux::campo('Instrução:','instrucao3',$a_mod[conf_tx_instrucao3],5);
	$instrucao4 = cactux::campo('Instrução:','instrucao4',$a_mod[conf_tx_instrucao4],5);
	//-----------
	
	//BOTOES
	if ( $_POST[id] > 0 )
		$gravar = cactux::botao_submit('Atualizar',2,'cadastra_configuracao','id',$_POST[id]);
	else
		$gravar = cactux::botao_submit('Gravar',2,'cadastra_configuracao','id',$_POST[id]);

	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	//-----------
	
	cactux::abre_form();


	cactux::abre_fieldset('Informações Bancárias');
	cactux::linha_fieldset($nome,$banco,$nome_ag,$ag,$co);
	cactux::linha_fieldset($ident,$cnpj);
	cactux::fecha_fieldset();

	cactux::abre_fieldset('Informações para Geração de Boletos');
	cactux::linha_fieldset($contrato,$carteira,$convenio,$nossonumero);
	cactux::linha_fieldset($instrucao1,$instrucao2);
	cactux::linha_fieldset($instrucao3,$instrucao4);
	cactux::fecha_fieldset();
	cactux::linha_fieldset($voltar,$gravar);


	cactux::fecha_form();
	cactux::acao_botao('voltar','index');
	
	rodape();
	
}


function index(){
	

	if($_POST[busca_cod]!='')
		$extra .= " AND conf_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_configuraboleto]!='')
		$extra .= " AND conf_tx_nome LIKE '%$_POST[busca_configuraboleto]%'";
	if($_POST[busca_banco]!='') {
		$a_banco = carregar('banco',$_POST[busca_banco]);
		$extra .= " AND conf_nb_banco = '$_POST[busca_banco]'";
	}
	if($_POST[busca_agencia]!='')
		$extra .= " AND conf_tx_nomeAgencia LIKE '%$_POST[busca_agencia]%'";

	
	$sql = selecionar('configuraboleto','conf_tx_status',"!inativo"," $extra ORDER BY conf_tx_nome",1);
	$BUSCA = grid::gerar_paginacao($sql);

	cabecalho('Contas Bancárias',2);
	
	//CAMPOS
	$cod = cactux::campo('Código:','busca_cod',$_POST[busca_cod],2);
	$nome = cactux::campo('Nome:','busca_configuraboleto',$_POST[busca_configuraboleto],4);
	$banco = cactux::combo_bd('!Banco:','busca_banco',$a_banco[banc_nb_id],$a_banco[banc_tx_nome],2,'banco');
	$agencia = cactux::campo('Agência:','busca_agencia',$_POST[busca_agencia],2);
	//------------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir');
//	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	
	//-----------
	
	cactux::abre_form();
	cactux::abre_fieldset('Contas Bancárias');
	cactux::linha_fieldset($cod,$nome,$banco,$agencia);
	cactux::linha_fieldset($buscar,$inserir,$imprimir);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_configuraboleto');
	cactux::acao_botao('imprimir','layout_imprimir','','','','',' target=_blank');
	
	$cabecalho[] = array('COD','NOME','BANCO','AGÊNCIA','','');
	$cabecalho[] = 'c,e,e,e';
	$cabecalho[] = '6%,,15%,20%,2%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){


		if ( $a[conf_nb_banco] > 0 ) {
			
			$a_banco = carregar('banco',$a[conf_nb_banco]);
		}

		$modificar = ".icone_modificar($a[0],modifica_configuraboleto)";
		$excluir = ".icone_excluir($a[0],exclui_configuraboleto)";
		
		$valores[] = array( $a[conf_nb_id], $a[conf_tx_nome], $a_banco[banc_tx_nome], $a[conf_tx_nomeAgencia], $modificar, $excluir );
		
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
}

CONTROLE();
?>